# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class SendEventNotificationsProperty

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.calendar.SendEventNotificationsProperty

All Implemented Interfaces:
  Extension

    public class SendEventNotificationsProperty

extends ValueConstruct

GData schema extension describing whether to send event notifications to other participants of the event or not.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static SendEventNotificationsProperty` `FALSE`
`static SendEventNotificationsProperty` `TRUE`

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`SendEventNotificationsProperty()`
`SendEventNotificationsProperty(java.lang.String value)`

Method Summary
`static ExtensionDescription` `getDefaultDescription()`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRUE

    public static final SendEventNotificationsProperty TRUE

### FALSE

    public static final SendEventNotificationsProperty FALSE

Constructor Detail

### SendEventNotificationsProperty

    public SendEventNotificationsProperty()

### SendEventNotificationsProperty

    public SendEventNotificationsProperty(java.lang.String value)

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()